"use strict";

let { classes: Cc, interfaces: Ci, results: Cr, utils: Cu } = Components;
Cu.import("resource://gre/modules/XPCOMUtils.jsm");
XPCOMUtils.importRelative(this, "base/arAppInfo.jsm");
XPCOMUtils.importRelative(this, "base/arWindowHookLoader.jsm");
XPCOMUtils.importRelative(this, "UnMHT.jsm");
XPCOMUtils.importRelative(this, "UnMHTFennecOverlay.jsm");
XPCOMUtils.importRelative(this, "UnMHTPref.jsm");
XPCOMUtils.defineLazyGetter(this, "UnMHTFileLoadHook", function() {
  XPCOMUtils.importRelative(this, "UnMHTFileLoadHook.jsm");
  return UnMHTFileLoadHook;
});

let EXPORTED_SYMBOLS = ["UnMHTFennecStartupWindowHook"];

/**
 * Fennec のウィンドウへの組み込み
 *
 * @implements arIStartupEventListener
 */
let UnMHTFennecStartupWindowHook = {
  /* ==== arIStartupEventListener インターフェース ==== */
  
  /**
   * スタートアップ時のイベント
   *
   * @param   {object} data
   *          Bootstrap データ
   * @param   {number} reason
   *          理由
   */
  onStartup: function(data, reason) {
    let genFennecHooks = function() {
      return [
        //UnMHTFennecMenuClass,
        UnMHTFileLoadHook,
      ];
    };
    
    let params = {
      "chrome://browser/content/browser.xul": {
        overlay: UnMHTFennecOverlay,
        props: {
          UnMHT: UnMHT
        },
        genHooks: genFennecHooks
      },
    };

    let dialogs = [];
    
    let loader = new arWindowHookLoader(params, dialogs);
    loader.onStartup(data, reason);
  }
};
